Jump to content


Photo
- - - - -

Centos 7 and AVS 3.3 recommendation?

centos 7

  • Please log in to reply
14 replies to this topic

#1 desihoes

desihoes

    Senior Member

  • Members
  • PipPipPipPip
  • 380 posts

Posted 08 February 2016 - 02:12 PM

Has any body tried AVS 3.3 with Centos 7, Apache 2.4 and PHP 7?

What is most reliable combination? (I use Apache streaming)

Going to set up a new server.

Thanks



#2 dargre

dargre

    Senior Member

  • Members
  • PipPipPipPipPip
  • 991 posts

Posted 09 February 2016 - 11:11 PM

Certainly AVS is not compatible with PHP7, though possibly it's not that hard to update script code.

Also under CENTOS 7 you may have trouble with installation of necessary libraries.

Currently in AVS script there are even functions that are not compatible with PHP 5.4 and it's easy to find when you switch debug mode on.

So without experience, without ability to change depreciated functions and some other code I don't suggest PHP 7

Personally I don't have free server to experiment with AVS under PHP7 and fix code. Also don't have too much free time.


VIDEO.JS - best HTML5 player in the world for AVS script

NUEVOPLAYER 8 - best flash+html5 player for video scripts
Mods, custom code by NuevoLab (Search Suggest, Multiple image upload, Seo mods,and much more)


#3 myavsforums

myavsforums

    Junior Member

  • Members
  • PipPip
  • 66 posts

Posted 10 February 2016 - 12:47 PM

Dargre, If you wish you can get a free server instance with Amazon AWS and Google cloud. All you need is choose micro instance t1. Its free.

I had CentOS 7 on Amazon AWS and the adult video script worked. Not sure if all php scripts worked or not but I had a working website pretty much. No problem detected.

Not to forget to mention it was AVS 3.1 though not 3.2 or 3.3 ;)

I hope this helps.



#4 desihoes

desihoes

    Senior Member

  • Members
  • PipPipPipPip
  • 380 posts

Posted 10 February 2016 - 03:04 PM

Just set the server up with Centos 7, PHP 5.6 and Apache 2.4

Will post later about the experience..



#5 dargre

dargre

    Senior Member

  • Members
  • PipPipPipPipPip
  • 991 posts

Posted 11 February 2016 - 07:34 AM

What you can expect under newer than PHP version 5.3

 

1. Non-static strict errors

2. Ereg and ereg_replace depreciated errors

3. Some PHPMailer errors

 

and maybe few more strict errors.

In php 5.x depreciated functions may still work, in PHP 7 functions are removed and will end with hard errors.

Also PHP7 removed support for mysql required by AVS script. In place it use mysqli or PDO.

Once I even wrote adodb wrapper for mysqli, but it was long time ago and lost it somewhere.

 

Don't know about media libs installation on CENTOS 7.

Once installed for a client and this was difficult, but that was when CENTOS 7 was very fresh, 1 month old.

 

PHP7 is definitely faster, and can boost HTML speed significant, but rather for really complex code.

For scripts like AVS this can be measured in milliseconds.


Edited by dargre, 11 February 2016 - 07:46 AM.

VIDEO.JS - best HTML5 player in the world for AVS script

NUEVOPLAYER 8 - best flash+html5 player for video scripts
Mods, custom code by NuevoLab (Search Suggest, Multiple image upload, Seo mods,and much more)


#6 desihoes

desihoes

    Senior Member

  • Members
  • PipPipPipPip
  • 380 posts

Posted 11 February 2016 - 02:01 PM

Haven't installed the media libs yet. Will find out soon.

I do see that emails are not going out from the Feedback/Support. No errors in error log.

 

About Apache streaming, It is with Apache 2.4 that error.log has lots of:

AH00524: Handler for h264-streaming.extensions returned invalid result code 70007
AH00524: Handler for h264-streaming.extensions returned invalid result code 32, referer: http://www.desihoes....-sex-collection

Above error doesn't happen with Apache 2.2



#7 dargre

dargre

    Senior Member

  • Members
  • PipPipPipPipPip
  • 991 posts

Posted 12 February 2016 - 12:39 AM

This is mess what you talk and show.

Talking about h264-treaming, but example is FLV not streaming well, additionally not from Apache 2.4 but 2.2.15


Edited by dargre, 12 February 2016 - 12:39 AM.

VIDEO.JS - best HTML5 player in the world for AVS script

NUEVOPLAYER 8 - best flash+html5 player for video scripts
Mods, custom code by NuevoLab (Search Suggest, Multiple image upload, Seo mods,and much more)


#8 desihoes

desihoes

    Senior Member

  • Members
  • PipPipPipPip
  • 380 posts

Posted 12 February 2016 - 03:19 AM

These are copy and paste from error.log. I am running Apache 2.4



#9 dargre

dargre

    Senior Member

  • Members
  • PipPipPipPipPip
  • 991 posts

Posted 12 February 2016 - 05:38 AM

Mr desi seems you don't know what you have.

See the screenshot with headers info that comes from your server

This is FLV video, video/x-flv content and server is Apache/2.2.15, same for entire website.

 

shot.jpg


Edited by dargre, 12 February 2016 - 11:25 AM.

VIDEO.JS - best HTML5 player in the world for AVS script

NUEVOPLAYER 8 - best flash+html5 player for video scripts
Mods, custom code by NuevoLab (Search Suggest, Multiple image upload, Seo mods,and much more)


#10 desihoes

desihoes

    Senior Member

  • Members
  • PipPipPipPip
  • 380 posts

Posted 13 February 2016 - 01:12 AM

Hello

httpd -v shows the following:

Server version: Apache/2.4.18 (Unix)
Server built:   Feb 12 2016 01:57:18
Cpanel::Easy::Apache v3.32.10 rev9999

 

php -v shows the following:

PHP 5.6.18 (cli) (built: Feb 12 2016 02:02:12)
Copyright © 1997-2016 The PHP Group
Zend Engine v2.6.0, Copyright © 1998-2016 Zend Technologies
    with the ionCube PHP Loader v4.7.5, Copyright © 2002-2014, by ionCube Ltd., and
    with Zend OPcache v7.0.6-dev, Copyright © 1999-2016, by Zend Technologies
    with Suhosin v0.9.36, Copyright © 2007-2014, by SektionEins GmbH

 

I am waiting for AVS poeple to finish some work on server..

 

Dargre: I will contact you to do some streaming setup work.

Thanks



#11 desihoes

desihoes

    Senior Member

  • Members
  • PipPipPipPip
  • 380 posts

Posted 13 February 2016 - 01:22 AM

As per live header, I get the following:

 

http://www.desihoes....?start=60520526
 
GET /media/videos/flv/486.flv?start=60520526 HTTP/1.1
Host: www.desihoes.com
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101 Firefox/38.0
Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
Accept-Language: en-US,en;q=0.5
Accept-Encoding: gzip, deflate
Cookie: AVS=f02e437**Really really longs stuff **
Connection: keep-alive
 
HTTP/1.1 200 OK
Date: Sat, 13 Feb 2016 01:16:21 GMT
Server: Apache
Last-Modified: Thu, 09 Jan 2014 20:03:36 GMT
Accept-Ranges: bytes
Content-Length: 189432920
Cache-Control: max-age=2678400, public
Expires: Sat, 13 Feb 2016 01:16:22 GMT
Keep-Alive: timeout=15, max=100
Connection: Keep-Alive
Content-Type: video/x-flv



#12 desihoes

desihoes

    Senior Member

  • Members
  • PipPipPipPip
  • 380 posts

Posted 13 February 2016 - 01:27 AM

Here is live header for MP4 video:

http://www.desihoes..../iphone/486.mp4
 
GET /media/videos/iphone/486.mp4 HTTP/1.1
Host: www.desihoes.com
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101 Firefox/38.0
Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
Accept-Language: en-US,en;q=0.5
Accept-Encoding: gzip, deflate
Cookie: AVS=f02e43760b8a9eebc0e** Really long stuff **
Connection: keep-alive
 
HTTP/1.1 200 OK
Date: Sat, 13 Feb 2016 01:25:04 GMT
Server: Apache
Last-Modified: Fri, 10 Jan 2014 01:06:04 GMT
Accept-Ranges: bytes
Content-Length: 180879170
Cache-Control: max-age=1
Expires: Sat, 13 Feb 2016 01:25:05 GMT
Keep-Alive: timeout=15, max=100
Connection: Keep-Alive
Content-Type: video/mp4



#13 Damien

Damien

    Junior Member

  • Members
  • PipPipPip
  • 78 posts

Posted 22 March 2016 - 05:14 AM

What you can expect under newer than PHP version 5.3

 

1. Non-static strict errors

2. Ereg and ereg_replace depreciated errors

3. Some PHPMailer errors

 

and maybe few more strict errors.

In php 5.x depreciated functions may still work, in PHP 7 functions are removed and will end with hard errors.

Also PHP7 removed support for mysql required by AVS script. In place it use mysqli or PDO.

Once I even wrote adodb wrapper for mysqli, but it was long time ago and lost it somewhere.

 

Don't know about media libs installation on CENTOS 7.

Once installed for a client and this was difficult, but that was when CENTOS 7 was very fresh, 1 month old.

 

PHP7 is definitely faster, and can boost HTML speed significant, but rather for really complex code.

For scripts like AVS this can be measured in milliseconds.

 

I have upgraded AVS 3.3 to php 7 it's not very hard.... only a few functions need to be rewritten, undefined errors (fix with isset) also http://php.net/manua...mysql-query.php has no mysqli equivalent so that's gotta change too. I'm also running nuevoplayer 8, your old comments mod and your slide plugin all updated to latest PHP7. There is a noticeable improvement with the entire website using php7 (I don't have porn video but I do have millions of hits) so I'd recommend it for anyone knows what they are doing. adodb is supporting mysqli at present it's as simple as changing $config['db_type'] = 'mysqli'; 

 

I've also upgraded adodb to latest from github and I'll probably move to smarty 3 next :)


Edited by Damien, 22 March 2016 - 05:33 AM.

  • dargre likes this

#14 dargre

dargre

    Senior Member

  • Members
  • PipPipPipPipPip
  • 991 posts

Posted 22 March 2016 - 07:13 PM

Video streaming is not php related. It's server modules. If you desihoes recompiled Apache to some newer version this is obvious that streaming mods are gone. You should know what you do. Live headers shows clearly that streaming mods are not in use.

 

damien, so it's like I wrote. Few functions to fix and switch to mysqli.

All those php functions were already depraciated for PHP 5.4 though not affecting script usage.

Indeed not so much to update, but for most here it's just black magic.


  • Damien likes this

VIDEO.JS - best HTML5 player in the world for AVS script

NUEVOPLAYER 8 - best flash+html5 player for video scripts
Mods, custom code by NuevoLab (Search Suggest, Multiple image upload, Seo mods,and much more)


#15 eFex

eFex

    Senior Member

  • Members
  • PipPipPip
  • 138 posts

Posted 23 March 2016 - 02:43 AM

No issue with Centos 7 all server module and codecs working fine.